org.keycloak.models.file

## Class FileUserProviderFactory

- java.lang.Object
- - org.keycloak.models.file.FileUserProviderFactory

- All Implemented Interfaces:
    UserProviderFactory, ProviderFactory<UserProvider>

      public class FileUserProviderFactory
      extends Object
      implements UserProviderFactory

  UserProviderFactory for JSON persistence.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2015 Red Hat Inc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUserProviderFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `UserProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)`
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileUserProviderFactory

          public FileUserProviderFactory()

  - ### Method Detail

    - #### init

          public void init(Config.Scope config)

      Specified by:
        `init` in interface `ProviderFactory<UserProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<UserProvider>`

    - #### create

          public UserProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<UserProvider>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `ProviderFactory<UserProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<UserProvider>`

Copyright © 2015. All rights reserved.